DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | Friends | List of all members
DiOverlayData Class Reference

Class to handle overlay pixel data. More...

Inheritance diagram for DiOverlayData:

## Public Member Functions
| DiOverlayData (unsigned int entries, unsigned int count=0)
| constructor
virtual | ~DiOverlayData ()
| destructor
Public Member Functions inherited from DiObjectCounter
void | addReference ()
| add a reference.
void | removeReference ()
| remove a reference.

## Private Attributes
unsigned int | Count
| number of (valid) overlay planes
unsigned int | ArrayEntries
| number of array entries (allocated memory)
DiOverlayPlane ** | Planes
| pointer to an array of planes
Uint16 * | DataBuffer
| pointer to overlay data (if scaled, flipped or rotated)

## Friends
class | DiOverlay

## Additional Inherited Members
Protected Member Functions inherited from DiObjectCounter
| DiObjectCounter ()
| constructor.
virtual | ~DiObjectCounter ()
| destructor

## Detailed Description

Class to handle overlay pixel data.

## Constructor & Destructor Documentation

## ◆ DiOverlayData()

DiOverlayData::DiOverlayData | ( | unsigned int | entries,
|  | unsigned int | count = 0 )

constructor

Parameters

  entries | number of array entries
  count | number of valid overlay planes

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/diovdat.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2